Debian Bug report logs - #695896
ITP: corekeeper -- Core file centralizer and reaper

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ben Pfaff <blp@cs.stanford.edu>

Date: Fri, 14 Dec 2012 06:15:02 UTC

Owned by: Paul Wise <pabs@debian.org>

Severity: wishlist

Merged with 695897, 695901

Fixed in versions corekeeper/1.1, corekeeper/1.2

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pabs@debian.org, wnpp@debian.org, Ben Pfaff <pfaffben@debian.org>:
Bug#695896; Package wnpp. (Fri, 14 Dec 2012 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Pfaff <blp@cs.stanford.edu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pabs@debian.org, wnpp@debian.org, Ben Pfaff <pfaffben@debian.org>. (Fri, 14 Dec 2012 06:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: corekeeper -- Core file centralizer and reaper
Date: Thu, 13 Dec 2012 22:08:18 -0800
Package: wnpp
Severity: wishlist
Owner: Ben Pfaff <pfaffben@debian.org>

* Package name    : corekeeper
  Version         :1.2
  Upstream Author : Ben Pfaff <blp@nicira.com>
* License         : Apache 2.0
  Programming Lang: Shell
  Description     : Core file centralizer and reaper
  Vcs-Git:        : git://openvswitch.org/corekeeper
  Vcs-Browser     : http://openvswitch.org/cgi-bin/gitweb.cgi?p=corekeeper;a=summary

 The corekeeper package configures the system to dump all core files to
 /var/log/core.  It also deletes core files older than 7 days.

corekeeper was previously part of Debian as a binary package in
the openvswitch source package.  Paul Wise <pabs@debian.org>
asked me to revive it and has offered to co-maintain it.



Merged 695896 695897 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 06:24:13 GMT) Full text and rfc822 format available.

Merged 695896 695897 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 06:33:09 GMT) Full text and rfc822 format available.

Merged 695896 695897 695901 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 06:45:03 GMT) Full text and rfc822 format available.

Merged 695896 695897 695901 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 06:48:04 GMT) Full text and rfc822 format available.

Message #14 received at 695897-done@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: 695897-done@bugs.debian.org
Subject: Re: Bug#695897: ITP: corekeeper -- Core file centralizer and reaper
Date: Thu, 13 Dec 2012 22:26:29 -0800
Oops, sorry about this duplicate of bug #695896.  (I'm having
some trouble with my MTA.)  Closing.



Bug reopened Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2012 07:15:06 GMT) Full text and rfc822 format available.

Merged 695896 695897 695901 Request was from Jonathan Dowland <jon@dowland.me> to control@bugs.debian.org. (Fri, 14 Dec 2012 09:57:04 GMT) Full text and rfc822 format available.

Reply sent to Ben Pfaff <blp@cs.stanford.edu>:
You have taken responsibility. (Thu, 17 Jan 2013 06:18:07 GMT) Full text and rfc822 format available.

Notification sent to Ben Pfaff <blp@cs.stanford.edu>:
Bug acknowledged by developer. (Thu, 17 Jan 2013 06:18:07 GMT) Full text and rfc822 format available.

Message #23 received at 695896-done@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: 695896-done@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>
Subject: Bug#695896: wnpp: canceling corekeeper ITP
Date: Wed, 16 Jan 2013 22:15:22 -0800
I thought that packaging corekeeper would be trivial, but it is more work than
I expected.  Accordingly, due to a time crunch, I'm no longer planning
to package corekeeper.

Thanks,

Ben.



Reply sent to Ben Pfaff <blp@cs.stanford.edu>:
You have taken responsibility. (Thu, 17 Jan 2013 06:18:08 GMT) Full text and rfc822 format available.

Notification sent to Ben Pfaff <blp@cs.stanford.edu>:
Bug acknowledged by developer. (Thu, 17 Jan 2013 06:18:08 GMT) Full text and rfc822 format available.

Reply sent to Ben Pfaff <blp@cs.stanford.edu>:
You have taken responsibility. (Thu, 17 Jan 2013 06:18:09 GMT) Full text and rfc822 format available.

Notification sent to Ben Pfaff <blp@cs.stanford.edu>:
Bug acknowledged by developer. (Thu, 17 Jan 2013 06:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ben Pfaff <pfaffben@debian.org>:
Bug#695896; Package wnpp. (Thu, 17 Jan 2013 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ben Pfaff <pfaffben@debian.org>. (Thu, 17 Jan 2013 06:33:05 GMT) Full text and rfc822 format available.

Message #36 received at 695896@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Ben Pfaff <blp@debian.org>
Cc: 695896@bugs.debian.org
Subject: Re: Bug#695896: wnpp: canceling corekeeper ITP
Date: Thu, 17 Jan 2013 14:32:16 +0800
[Message part 1 (text/plain, inline)]
Control: reopen -1
Control: owner -1 !

On Wed, 2013-01-16 at 22:15 -0800, Ben Pfaff wrote:

> I thought that packaging corekeeper would be trivial, but it is more work than
> I expected.  Accordingly, due to a time crunch, I'm no longer planning
> to package corekeeper.

I will take this on and move the git repository to collab-maint, thanks
for your work thus far Ben.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Paul Wise <pabs@debian.org> to 695896-submit@bugs.debian.org. (Thu, 17 Jan 2013 06:33:05 GMT) Full text and rfc822 format available.

Owner changed from Ben Pfaff <pfaffben@debian.org> to Paul Wise <pabs@debian.org>. Request was from Paul Wise <pabs@debian.org> to 695896-submit@bugs.debian.org. (Thu, 17 Jan 2013 06:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Wise <pabs@debian.org>:
Bug#695896; Package wnpp. (Thu, 17 Jan 2013 06:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Pfaff <blp@cs.stanford.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Wise <pabs@debian.org>. (Thu, 17 Jan 2013 06:42:07 GMT) Full text and rfc822 format available.

Message #45 received at 695896@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: Paul Wise <pabs@debian.org>, 695896@bugs.debian.org
Cc: Ben Pfaff <blp@debian.org>
Subject: Re: Bug#695896: wnpp: canceling corekeeper ITP
Date: Wed, 16 Jan 2013 22:38:59 -0800
On Thu, Jan 17, 2013 at 02:32:16PM +0800, Paul Wise wrote:
> I will take this on and move the git repository to collab-maint, thanks
> for your work thus far Ben.

Sure, let me know if there's anything I can do to help short of actually
maintaining it.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 25 Apr 2013 20:06:11 GMT) Full text and rfc822 format available.

Message #48 received at 695901-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 695901-close@bugs.debian.org
Subject: Bug#695901: fixed in corekeeper 1.1
Date: Sun, 28 Apr 2013 13:00:08 +0000
Source: corekeeper
Source-Version: 1.1

We believe that the bug you reported is fixed in the latest version of
corekeeper, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated corekeeper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 25 Apr 2013 17:16:11 +0800
Source: corekeeper
Binary: corekeeper
Architecture: source amd64
Version: 1.1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs@debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 corekeeper - enable core files and report crashes to the sysadmin
Closes: 602946 603360 695901
Changes: 
 corekeeper (1.1) unstable; urgency=low
 .
   [ Ben Pfaff ]
   * Eliminate dependency on tmpreaper, by deleting stale core files from
     /var/log/core by hand. (incidentally Closes: #603360)
   * debian/copyright: Fix punctuation.
   * Properly implement Lintian override for directory permissions.
   * Switch from an init script to sysctl (from Paul Wise <pabs@debian.org>).
 .
   [ Paul Wise ]
   * Re-upload to Debian (Closes: #695901)
   * Change the maintainer to me, Ben doesn't have time
   * Moved the git repository to collab-maint
   * Use maintscript support from dh_installdeb for maintainer scripts
   * Package complies with policy 3.9.4
   * Use dh --parallel
   * Add support for kFreeBSD (Closes: #602946)
   * Use the full path to the executable
   * Use less commands in the cron job
   * Hide core filenames for privacy on multi-user systems
   * Exit the cron job when the package has been removed but not purged
   * Activate the sysctl settings on package installation and upgrade on Linux
   * Re-write the package description
   * The packaging has been completely rewritten, update copyright
   * Delete all remaining core files and directories on removal and purge
   * Switch from /var/log/core to the more FHS compliant /var/crash
   * Do not use shell metacharacters in core filenames
   * Name the core files *.core to differentiate them from other
     files in /var/crash like Linux kernel crashdumps.
   * Move corekeeper-dump to /var/lib since it is only run by the Linux
     kernel and not by any users or sysadmins.
   * Do as much as possible to turn off the effects of corekeeper when
     the package is removed or purged.
Checksums-Sha1: 
 04781eac3af403ac03d86bf2f87b2dd5d75ca53c 1546 corekeeper_1.1.dsc
 e5af39f8e6e38de842937f57ad21111856453d8f 5266 corekeeper_1.1.tar.gz
 644f98998626fbb35f79f1fe68a29c965b88a04f 5214 corekeeper_1.1_amd64.deb
Checksums-Sha256: 
 3b85bfb7b09cd5dfe4cb927308ee81869ef50a8a628057d82ce9cc654c02b107 1546 corekeeper_1.1.dsc
 9c8b9e206f6d6b39431625fd4dbe6c9eed4735febf0ae2cb9e93bb4d7d5f965b 5266 corekeeper_1.1.tar.gz
 505aefded19e42a583d0e941b8453f5961a6b3ca4dd6287deb4e06c9186652c3 5214 corekeeper_1.1_amd64.deb
Files: 
 4ba24d93e4a05611712814028ba90601 1546 admin extra corekeeper_1.1.dsc
 45bd94a1be3a2c1e8b995acefb0b811d 5266 admin extra corekeeper_1.1.tar.gz
 e40c76efccb2767310fc19897c9712ce 5214 admin extra corekeeper_1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRePqwAAoJEDEWul6f+mmjCTQQAImTJN+4BIhlDxnBHJJ3deRH
GCYf9/sY3Mbx9sPxSvj2wdEd9Z6LbAzfETMVvKPuRyCMSnr4NBWtdBRqGzE/8hHO
cmGyAfQkoWc8YusSdnlkFMw0L9nMke8qrMsN6S3GmEo6zEYgv7yI2gVLdczKyBjD
Vg3bdyAb5biIAdivQRKtcIRjmRIJ9mObc2fAnWnmZ4TnmZIZlQKDtM70wTt9G+9D
Nm1js4wVDoZWr2wKj9ENrd81WEem1UXBAxRdr4k7KfYr3cfu+Y4AZOZ1UVS7AFca
rJpJtXSsa2YFoQUnGpU2+ssLUGQrCg49h3tBN9Y7ZVWhm/4BC5LADpkT037rSApH
bpX5R/9ObWAeFrCtDCj8p5HpMN9KJZBnogUUvgatkqFgTYamQ4ATNJx/hy0kDq5l
iBqnLFSXmZJFcin+w31rifso5kztUZutV6d+iVXAm78LtZTHYnfhyY1eVaKMptN/
mNIZ8u4xUeHCBIEhO0Xfix+al0qOtA70pD4vRJYiN3OLtQ0SObT5GYsx5lcmkYaK
mO1b/HlDM6wRWX+MBXRbAM41oxCMYUFuqlrkUEwCdanSlZUNzWpWpfsEGZhOYr1g
x3vmSKrG7OudvyEn1xYNOwYlJWEZVJ0CS23UXsIesAEc9WrsWoe6MMaJoGNpbvPg
QtuXBqASP10Y4BqGdf/E
=7kKo
-----END PGP SIGNATURE-----




Message #49 received at 695901-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 695901-close@bugs.debian.org
Subject: Bug#695901: fixed in corekeeper 1.2
Date: Sun, 28 Apr 2013 13:00:12 +0000
Source: corekeeper
Source-Version: 1.2

We believe that the bug you reported is fixed in the latest version of
corekeeper, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated corekeeper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 25 Apr 2013 19:30:02 +0800
Source: corekeeper
Binary: corekeeper
Architecture: source amd64
Version: 1.2
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs@debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 corekeeper - enable core files and report crashes to the sysadmin
Closes: 602946 603360 695901
Changes: 
 corekeeper (1.2) unstable; urgency=low
 .
   * Bump version number higher than the previous package in Debian
   * Fix a typo in the postinst script
 .
 corekeeper (1.1) unstable; urgency=low
 .
   [ Ben Pfaff ]
   * Eliminate dependency on tmpreaper, by deleting stale core files from
     /var/log/core by hand. (incidentally Closes: #603360)
   * debian/copyright: Fix punctuation.
   * Properly implement Lintian override for directory permissions.
   * Switch from an init script to sysctl (from Paul Wise <pabs@debian.org>).
 .
   [ Paul Wise ]
   * Re-upload to Debian (Closes: #695901)
   * Change the maintainer to me, Ben doesn't have time
   * Moved the git repository to collab-maint
   * Use maintscript support from dh_installdeb for maintainer scripts
   * Package complies with policy 3.9.4
   * Use dh --parallel
   * Add support for kFreeBSD (Closes: #602946)
   * Use the full path to the executable
   * Use less commands in the cron job
   * Hide core filenames for privacy on multi-user systems
   * Exit the cron job when the package has been removed but not purged
   * Activate the sysctl settings on package installation and upgrade on Linux
   * Re-write the package description
   * The packaging has been completely rewritten, update copyright
   * Delete all remaining core files and directories on removal and purge
   * Switch from /var/log/core to the more FHS compliant /var/crash
   * Do not use shell metacharacters in core filenames
   * Name the core files *.core to differentiate them from other
     files in /var/crash like Linux kernel crashdumps.
   * Move corekeeper-dump to /var/lib since it is only run by the Linux
     kernel and not by any users or sysadmins.
   * Do as much as possible to turn off the effects of corekeeper when
     the package is removed or purged.
Checksums-Sha1: 
 c21489ee7b6d0061d5cc491b5963351e9b02b807 1546 corekeeper_1.2.dsc
 08f4a4ffa169f9e2f2e647bfd35c67fd14df1154 5327 corekeeper_1.2.tar.gz
 96da8b5a36ea23d3466044b87343021f0edba73c 5304 corekeeper_1.2_amd64.deb
Checksums-Sha256: 
 61095825db51a715d0efa9094e62b001255bc4f3b1b5568f36c3eec6a88a0864 1546 corekeeper_1.2.dsc
 87028a5960cb97e46158b71e67c291b2f41b6e1be332355eea00bb62db123e01 5327 corekeeper_1.2.tar.gz
 4fd7fc57403877c6863591c04163d276b0fa095cd1f0fd4457774cdec4b988c4 5304 corekeeper_1.2_amd64.deb
Files: 
 03b827d32a51e8345d73b7558f97d79b 1546 admin extra corekeeper_1.2.dsc
 3b48a3d7cc88614f3bfbd1498eea9dfd 5327 admin extra corekeeper_1.2.tar.gz
 ef3816c8a0b9feed9efa8f9883fe707f 5304 admin extra corekeeper_1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJReRQdAAoJEDEWul6f+mmjpmYP/1SRfgXCS2BAbnO+5J2kVqe4
OYNsuGAFE5s8DZd2aY2FygYU1d92OpthjZQGP1k/YTVFDE/kYEgy6uzBfs2QHKdR
lrA8Rjk+YNwxojsb/cZQ3mnUUbB7SF94IbtTKttvpieOSETMexd//5sxTrZYixPK
ZfNlJeF/zHzHxfSjhC8iz5VHTZGg5KeGamu3qg1VUq828FtXX8B/cxTwOAse91r1
tyNuvbCsjucCpa9OM27y3bCRxzGg2cTUxSmKJm2obE5owyPoeol1q8K/WKbKbbZ2
J2OcSHqPJD9To8N5sNrZXkvul4hF5iihzCRnvUxwh0ipI2LlxzDTzXnyV+0+NSYy
N25VYKPTsICG8Dyb4KqXwh8NQjDxdxQsCz4EHqhgWOZuJnRBYZmrdocsomI8uz/n
rV6SAoXWKxvSS5RhatN7shEA0u6D2v/u2ApNv25tEXQuicQqnjCvkrY7tqQBRGPY
eghaQebxanzCdGgeureZjMSrMQyLxFLj93uIdksb3yyrZVcQ0GFtvXw9a9jBLG4k
KKUkPlhoTYHZPX6QWYLxmyedXDFigrHETW8gWV7ykl5Fnjmn3fDkwHP0I7R9j/UD
WlHB/iCGBLvAvL0ODrjNMIvB0O8WY2E/3A97nhVgkVogJ3ypLFQlanrRXr2k84oj
57bkg7x0+/fjsVu7fVtQ
=goyc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 May 2013 07:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:54:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.